# tcpip_msg Struct Reference

`#include <tcpip.h>`

## Data Fields

enum tcpip_msg_type | type
sys_sem_t * | sem
union {
api_msg * apimsg
struct {
pbuf * p
netif * netif
} inp
} | msg

## Field Documentation

struct api_msg* tcpip_msg::apimsg

struct { ... } tcpip_msg::inp

union { ... } tcpip_msg::msg

struct netif* tcpip_msg::netif

struct pbuf* tcpip_msg::p

sys_sem_t* tcpip_msg::sem

enum tcpip_msg_type tcpip_msg::type

The documentation for this struct was generated from the following file:

- tcpip.h